### Constant

# Vte TERMPROP_PROGRESS_HINT

#### Declaration

    #define VTE_TERMPROP_PROGRESS_HINT "vte.progress.hint"

#### Description

A `VTE_PROPERTY_INT` termprop that stores a hint how to interpret the `VTE_TERMPROP_PROGRESS_VALUE` termprop value. If set, this termprop’s value will be from the `VteProgressHint` enumeration. An unset termprop should be treated as if it had value `VTE_PROGRESS_HINT_ACTIVE` if the `VTE_TERMPROP_PROGRESS_VALUE` termprop has a value

Note that this termprop never will have the value `VTE_PROGRESS_HINT_INACTIVE`.

The value of this termprop should be ignored unless the `VTE_TERMPROP_PROGRESS_VALUE` termprop has a value.

Note that before version 0.82, this termprop could not be set by the termprop OSC, but instead only by OSC 9 ; 4 (ConEmu progress).